#ifndef SIMPLEcAL_H
#define SIMPLEcAL_H

#include <iostream>

#include <QWidget>
#include <QMessageBox>
#include <QMainWindow>
#include <QVBoxLayout>
#include <QCalendarWidget>
#include <QPushButton>
#include <QLabel>
#include <QTimer>
#include <QTime>
#include <QDate>
#include <QString>

class Calendar : public QMainWindow {
	Q_OBJECT
	
	public:
		Calendar(QWidget* parent = 0);
		~Calendar(){};
	
	public slots:
		bool close();
		void datePicked();
		void updateTime();
		
	private:
		QPushButton* quitButton;
		QCalendarWidget* calendar;
		QLabel* timeLabel;
		
		QTimer* clockTimer;
};

#endif
